using System;

namespace GameKnight.Core
{

	public interface IOptions
	{
		
		event EventHandler ValueChanged;

		void Get( string Key, string Name, ref string Value );
		
		void Get( string Key, string Name, ref int Value );
		
		void Get( string Key, string Name, ref double Value );
		
		void Get<T>( string Key, string Name, ref T Value );
		
		void Set( string Key, string Name, string Value );

		void Set( string Key, string Name, int Value );
		
		void Set<T>( string Key, string Name, T Value );		

	}

}


