using System;

namespace GameKnight.Core
{
	
	public interface ISprite : IRegister, ISize
	{
		
	    int Address { get; }
             
		int PatternNumber { get; }

		int Priority { get; }

		int X { get; }

		int Y { get; }

		void Draw( int ScanLine, int[] IndexArray, uint[] ColorArray );
		
	}
	
}
