﻿using System;
using GameKnight.Core;

namespace GameKnight
{
	
	namespace GameBoy
	{

		public partial class Register : IRegister
		{
			
			public class SCR : IRegister
			{

				protected readonly byte[] DataArray = new byte[2];

            	public virtual byte X
            	{
            		get
            		{
            			return DataArray[1];
            		}
            	}

            	public byte Y
            	{
            		get
            		{
            			return DataArray[0];
            		}
            	}

				public SCR() : base()
				{
					return;
				}
				
				public byte this[int Address]
				{
                	get
                	{
						return DataArray[Address&0x01];
                	}
                	set
                	{
                		DataArray[Address&0x01] = value;
                	}
                }

			}
			
		}
		
	}
	
}





