using System;
using GameKnight.Core;

namespace GameKnight
{

	namespace GameBoy
	{
		
		public sealed class Button : IControl
		{

			public IController Controller
			{
				get
				{
					return ControllerProperty;
				}
				private set
				{
					ControllerProperty = value;
				}
			}
			
			private IController ControllerProperty = null;
				
			public int Mask
			{
				get
				{
					return MaskProperty;
				}
				private set
				{
					MaskProperty = value;
				}
			}
			
			private int MaskProperty = 0;
			
			public string Name
			{
				get
				{
					return NameProperty;
				}
				private set
				{
					NameProperty = value;
				}
			}
			
			private string NameProperty = "";
	
			/*public int Value
			{
				get
				{
					return ValueProperty;
				}
				set
				{
					ValueProperty = value;
					Controller.Console.ConfigFile.WriteInt( Controller.Name, Name, Value );	
				}
			}
			
			private int ValueProperty = 0;	*/
						
			public Button( IController Controller, int Mask, string Name )
			{
				this.Controller = Controller;
				this.Mask = Mask;
				this.Name = Name;
				//this.Value = Controller.Console.ConfigFile.ReadInt( Controller.Name, Name );	
				return;
			}
	
		}
		
	}
	
}
