﻿using System;
using GameKnight.Core;

namespace GameKnight
{
	
	namespace GameBoy
	{

		public partial class VideoMemory : IVideoMemory
		{
		
			private class Map : IMap
			{
	
				/*public int Address
				{
					get
					{
						return AddressProperty;
					}
					private set
					{
	                	AddressProperty = value;
					}
				}
	
				private int AddressProperty = 0;*/
	
				private readonly IAttributeTable AttributeTable = null;
	
				private readonly Register.LCDC LCDC = null;
				
				private readonly INameTable NameTable = null;
	
				public ISize Size
				{
					get
					{
						return SizeProperty;
					}
				}
	
				private static readonly Size SizeProperty = new Size( 32, 32 );
	
				public Map( IConsole Console, INameTable NameTable, IAttributeTable AttributeTable )
				{
					this.LCDC = Console.GetRegister<Register.LCDC>();
					this.NameTable = NameTable;
					this.AttributeTable = AttributeTable;
					return;
				}
				
				public void DrawTile( int Index, int X, int ScanLine, int Offset, IPatternTable[] PatternTableArray, int[] IndexArray, uint[] ColorArray )
				{
					ITileAttributes TileAttributes = AttributeTable.GetTileAttributes( Index );
					PatternTableArray[(LCDC.PatternTable+(TileAttributes.Bank<<1))].GetTile( NameTable.GetTileIndex( Index ) ).Draw( X, ScanLine, Offset, TileAttributes, IndexArray, ColorArray );		
					return;
				}
				
			}
				
		}
		
	}
	
}


