﻿using System;
using Drawing = System.Drawing;
using Forms = System.Windows.Forms;
using IO = System.IO;
using Text = System.Text;

using Direct3D9 = SlimDX.Direct3D9;
using GameKnight.Core;

namespace GameKnight.Win32
{

	//public partial class Application : IInterface
	//{
		
		public sealed class FileMenu : Forms.ToolStripMenuItem
		{

			public FileMenu( EventHandler LoadEvent, EventHandler ResetEvent, EventHandler ExitEvent ) : base( "&File" )
			{
				DropDownItems.Add( new Forms.ToolStripMenuItem( "&Load", null, new EventHandler( LoadEvent ) ) );
				DropDownItems.Add( new Forms.ToolStripSeparator() );
				DropDownItems.Add( new Forms.ToolStripMenuItem( "&Reset", null, new EventHandler( ResetEvent ) ) );
				DropDownItems.Add( new Forms.ToolStripSeparator() );
				DropDownItems.Add( new Forms.ToolStripMenuItem( "E&xit", null, new EventHandler( ExitEvent ) ) );
				return;
			}
			
			
		}
	
	}
	
//}
